// pages/floow/floow.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    follow_us_url: ''
  },
  onLoad() {
    this.getUrl();
  },
  getUrl(type) {
    wx.showLoading({
      title: '加载中',
    })
    app.func.req('/api/app/config', 'get', {
      'version': '1.0.1'
    }, (res) => {
      wx.hideLoading()
      if(res && res.errno == 0){
        this.setData({
          follow_us_url: res.rst.follow_us_url
        })
      }else {
        wx.showToast({
          title: res.err,
          icon: 'none',
          duration: 2000
        })
      }
    },()=>{
      wx.hideLoading()
    })
  },
  onShareAppMessage() {
    
  }
})